#include "include.h"

Objeto::Objeto() {
	this->radio = 1;
}

Objeto::Objeto(Vector3D pos, double radio) {
	this->pos = pos;
	this->radio = radio;
}

void Objeto::draw() {
	// dummy implementation
	glTranslated(this->pos.x, this->pos.y, this->pos.z);
	glutSolidSphere(this->radio*2, 10, 10);
}

void Objeto::update() {
	// dummy implementation
}

double Objeto::distancia(Objeto * o) {
	return (this->pos - o->pos).length();
}

bool Objeto::colisiona(Objeto * o) {
	return this->distancia(o) < this->radio + o->radio;
}
